- Qt 5.5
- Qt3D Module
- QML Types
- KeyboardInput QML Type
- Qt 5.5.1 Reference Documentation

# KeyboardInput QML Type

Import Statement: | import Qt3D.Input 2.0
Since: | Qt 5.5
Instantiates: | QKeyboardInput
Inherits: | Component3D

- List of all members, including inherited members

## Properties

- controller : KeyboardController
- focus : bool

## Signals

- void asteriskPressed(KeyEvent event)
- void backtabPressed(KeyEvent event)
- void backtabPressed(KeyEvent event)
- void digit0Pressed(KeyEvent event)
- void digit1Pressed(KeyEvent event)
- void digit2Pressed(KeyEvent event)
- void digit3Pressed(KeyEvent event)
- void digit4Pressed(KeyEvent event)
- void digit5Pressed(KeyEvent event)
- void digit6Pressed(KeyEvent event)
- void digit7Pressed(KeyEvent event)
- void digit8Pressed(KeyEvent event)
- void digit9Pressed(KeyEvent event)
- void downPressed(KeyEvent event)
- void leftPressed(KeyEvent event)
- void numberSignPressed(KeyEvent event)
- void rightPressed(KeyEvent event)
- void tabPressed(KeyEvent event)
- void upPressed(KeyEvent event)

## Detailed Description

## Property Documentation

controller : KeyboardController

focus : bool

## Signal Documentation

void asteriskPressed(KeyEvent event)

void backtabPressed(KeyEvent event)

void backtabPressed(KeyEvent event)

void digit0Pressed(KeyEvent event)

void digit1Pressed(KeyEvent event)

void digit2Pressed(KeyEvent event)

void digit3Pressed(KeyEvent event)

void digit4Pressed(KeyEvent event)

void digit5Pressed(KeyEvent event)

void digit6Pressed(KeyEvent event)

void digit7Pressed(KeyEvent event)

void digit8Pressed(KeyEvent event)

void digit9Pressed(KeyEvent event)

void downPressed(KeyEvent event)

void leftPressed(KeyEvent event)

void numberSignPressed(KeyEvent event)

void rightPressed(KeyEvent event)

void tabPressed(KeyEvent event)

void upPressed(KeyEvent event)